playMaker

Author Topic: Install Error: Failed to imoport package...Couldn't decompress package  (Read 185 times)

DrPlay

  • Playmaker Newbie
  • *
  • Posts: 3
    • View Profile
I am getting this error when installing. I've seen many others have the same issue, but none of the solutions have helped.

Unity 2019.4.18f1
Playmaker 1.9.1.p1 Student version for use with skillshare course.

There are 3 files in the download I was provided, none work, but I assume I want to be using "Unity2019.3.PlaymakerStudent.1.9.1.p1.unitypackage"

I've tried all of the solutions I have found including downloading 7zip again and replacing the .dll and .exe files in the Unity install.

Would love to try playmaker out, but simply cannot install it.

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3772
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Install Error: Failed to imoport package...Couldn't decompress package
« Reply #1 on: January 22, 2021, 08:49:48 AM »
I think there may be a problem with the Student version installer.
For now, try manually importing the package in Playmaker/Editor/Install while I investigate...

DrPlay

  • Playmaker Newbie
  • *
  • Posts: 3
    • View Profile
Re: Install Error: Failed to imoport package...Couldn't decompress package
« Reply #2 on: January 22, 2021, 06:04:46 PM »
I think there may be a problem with the Student version installer.
For now, try manually importing the package in Playmaker/Editor/Install while I investigate...

So do you unarchive the .unitypackage straight into that folder?

Edit: I found the location in the individual project folder.  I extracted the .unitypackage file and the install did get further this time.

I got this error on 234 files "A meta data file (.meta) exists but its asset 'Assets/PlayMaker/Editor/Install/002c89f108a697847977b73c3bbe823e/asset' can't be found. When moving or deleting files outside of Unity, please ensure that the corresponding .meta file is moved or deleted along with it."

and then again the "Failed to import package with error: Couldn't decompress package
UnityEditor.AssetDatabase:ImportPackage(String, Boolean)" error
« Last Edit: January 22, 2021, 06:24:24 PM by DrPlay »

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3772
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Install Error: Failed to imoport package...Couldn't decompress package
« Reply #3 on: January 23, 2021, 09:55:09 PM »
Use: Main Menu > Assets > Import Package > Custom Package... and select the .unitypackage.

You shouldn't manually unarchive unitypackages.
More installation notes here: https://hutonggames.fogbugz.com/f/page?W11
« Last Edit: January 23, 2021, 09:59:24 PM by Alex Chouls »

DrPlay

  • Playmaker Newbie
  • *
  • Posts: 3
    • View Profile
Re: Install Error: Failed to imoport package...Couldn't decompress package
« Reply #4 on: January 23, 2021, 10:10:05 PM »
Use: Main Menu > Assets > Import Package > Custom Package... and select the .unitypackage.

You shouldn't manually unarchive unitypackages.
More installation notes here: https://hutonggames.fogbugz.com/f/page?W11

That is what I initially did and was not working hence why I posted the issue.

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3772
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Install Error: Failed to imoport package...Couldn't decompress package
« Reply #5 on: January 23, 2021, 10:34:00 PM »
I just tried it here and it looks like there's a problem with the Welcome Window, but manually importing Assets\PlayMaker\Editor\Install\PlaymakerStudent.1.9.1.unitypackage worked.

You can double click the file to import it with the project open.

So first you import the package from the downloaded zip file.
Then manually import the install package (instead of using the Welcome Window).

I'll look into the problem with the Student Version Welcome Window and upload a fixed version asap.
« Last Edit: January 23, 2021, 10:36:04 PM by Alex Chouls »